OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.PixelTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXPixelTexture :: MonadIO m => m Bool
- gl_SGIX_pixel_texture :: Bool
- gl_PIXEL_TEX_GEN_MODE_SGIX :: GLenum
- gl_PIXEL_TEX_GEN_SGIX :: GLenum
- glPixelTexGenSGIX :: MonadIO m => GLenum -> m ()

# Extension Support

glGetSGIXPixelTexture :: MonadIO m => m Bool

Is the SGIX_pixel_texture extension supported?

gl_SGIX_pixel_texture :: Bool

Is the SGIX_pixel_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXPixelTexture` in those cases instead.

# Enums

gl_PIXEL_TEX_GEN_MODE_SGIX :: GLenum

gl_PIXEL_TEX_GEN_SGIX :: GLenum

# Functions

glPixelTexGenSGIX

Arguments

:: MonadIO m |
=> GLenum | `mode` of type `PixelTexGenModeSGIX`.
-> m () |